package com.caimei365.manager.dao.hehe;

import com.caimei365.manager.entity.caimei.svip.CmLadderPrice;
import com.caimei365.manager.entity.caimei.svip.CmSku;
import com.caimei365.manager.entity.hehe.product.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface HeHeProductDao {

    List<HeHeProduct> findProductList(HeHeProduct product);

    HeHeProduct findProductElement(Integer productId);

    List<HeHeBigType> findBigTypeList(HeHeBigType type);

    List<HeHeActivity> findActivityList(HeHeActivity activity);

    List<DiscountActivity> findDiscountActivityList(DiscountActivity activity);

    List<ShareReduction> findShareReductionList(ShareReduction reduction);

    List<InsideDiscount> findInsideDiscountList(InsideDiscount discount);

    List<CollageProduct> findCollageProductList(CollageProduct collage);

    List<CollageRecord> findCollageRecordList(CollageRecord collage);

    List<Integer> getCollageOrderIds(Integer id);

    List<CmSku> findHeHeSku(Integer productId);

    List<CmLadderPrice> findLadderList(Integer skuId);

    List<HeHeActivityProduct> activityProductList(HeHeActivityProduct product);

    List<Integer> findUserActivityProduct(Integer userId);

    List<HeHeProduct> findAllActivityProduct(HeHeProduct heHeProduct);

    Integer findActivityByProductId(String productId);

    void insertUserActivity(HeHeSalesActivityProduct product);

    void deleteUserActivity(Integer userId, Integer productId);

    List<CmSmalltype> findSmallTypeList(Integer bigTypeId);

    List<HeHeProduct> findProductPage(HeHeProduct product);
}
