package com.caimei365.manager.entity.hehe.product;

import java.util.Date;
import java.util.List;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 呵呵商城拼团记录Entity
 */
@Data
public class CollageRecord {


	private Integer id;
	/**
	 * 拼团商品id
	 */
	private Integer productId;
	/**
	 * 拼团价
	 */
	private Double price;
	/**
	 * 拼团人数
	 */
	private Integer memberNum;
	/**
	 * 拼团状态：1拼团中，2已拼成
	 */
	private Integer status;
	/**
	 * 开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String startTime;
	/**
	 * 成团时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String completeTime;
	/**
	 * 结束时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String endTime;
	/**
	 * 商品名称
	 */
	private String productName;
	/**
	 * 供应商名称
	 */
	private String shopName;
	/**
	 * 订单id列表
	 */
	private List<Integer> orderIdList;
}