package com.caimei365.manager.entity.hehe.product;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author zzj
 * 限时特价活动
 */
@Data
public class DiscountActivity {
	/**
	 * 活动名称
	 */
	private String name;
	/**
	 * 上架时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String onlineTime;
	/**
	 * 下架时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String offlineTime;
	/**
	 * 创建时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String addTime;
	/**
	 * 状态：1待上架，2已上架，3已下架
	 */
	private Integer status;

}