package com.caimei365.manager.entity.hehe.user;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * @author zzj
 */
@Data
public class HeHeUser {

    private Integer id;
    /**
     * 	对应user表用户id
     */
    private Integer userId;
    /**
     *  姓名
     */
    private String name;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 用户身份:1普通用户,2分销者
     */
    private Integer userIdentity;
    /**
     * 微信昵称
     */
    private String nickName;
    /**
     * 微信openid
     */
    private String openId;
    /**
     * 添加时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String addTime;
}
